View Issue Details

IDProjectCategoryView StatusLast Update
0008052LazarusIDEpublic2011-12-01 11:22
ReporterMichael Van CanneytAssigned ToPaul Ishenin 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformAllOSOS Version
Product Version0.9.21 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0008052: Missing shift-component palette click in IDE
DescriptionIn delphi, holding the 'Shift' key while selecting a component in the
component palette starts 'multi-drop' mode: each click on the form
then drops a new instance of the selected component on the form.
To stop 'multi-drop' mode, the "select arrow" on the component palette must be selected (or select another component).

Extremely useful if you want e.g. to drop 10 checkboxes or datasets
- Select checkbox with shift key pressed
- Click all locations where you want to have a checkbox.
- Select arrow.
- Start setting properties..
I use it all the time in Delphi. It would be nice to have it in Lazarus as well.
TagsNo tags attached.
Fixed in Revision21537
LazTarget0.9.30
Widgetset
Attached Files

Activities

Paul Ishenin

2009-09-02 16:19

manager   ~0030323

Please test and close if ok.

Please note, that lazarus had (and still have) another implementation of the proposed feature: it does not turn "selection tool" when shift is pressed during component add (instead of component select as in delphi).

Now it combines both cases.

Issue History

Date Modified Username Field Change
2007-01-01 22:39 Michael Van Canneyt New Issue
2007-01-01 22:39 Michael Van Canneyt LazTarget => -
2007-01-01 22:39 Michael Van Canneyt Widgetset => GTK
2007-01-02 10:42 Vincent Snijders LazTarget - => post 1.0
2007-01-02 10:42 Vincent Snijders Status new => acknowledged
2009-09-02 14:35 Paul Ishenin Status acknowledged => assigned
2009-09-02 14:35 Paul Ishenin Assigned To => Paul Ishenin
2009-09-02 14:36 Paul Ishenin LazTarget post 1.0 => 0.9.30
2009-09-02 14:36 Paul Ishenin Widgetset GTK =>
2009-09-02 14:36 Paul Ishenin Target Version => 0.9.30
2009-09-02 16:19 Paul Ishenin Fixed in Revision => 21537
2009-09-02 16:19 Paul Ishenin Status assigned => resolved
2009-09-02 16:19 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-09-02 16:19 Paul Ishenin Resolution open => fixed
2009-09-02 16:19 Paul Ishenin Note Added: 0030323
2011-12-01 11:22 Marc Weustink Status resolved => closed